﻿using System.IO;
using System.Text.Json;

namespace Kav
{
    public static class CrunchAtlasReader
    {
        static JsonSerializerOptions options = new JsonSerializerOptions
        {
            PropertyNameCaseInsensitive = true
        };

        public static CrunchTextureAtlasData ReadTextureAtlas(FileInfo file)
        {
            return JsonSerializer.Deserialize<CrunchTextureAtlasData>(File.ReadAllText(file.FullName), options);
        }
    }
}
